[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TMonitor.WorkareaRect

The usable display area on the monitor excluding the system task bar.

## Declaration

Source position: forms.pp line 1080

`public property TMonitor.WorkareaRect : TRect read GetWorkareaRect;`

## Description

WorkareaRect is a read-only TRect property with the bounds for the usable display area on the monitor. This does not include any space covered by the system task bar.

The property value is assigned from TMonitorInfo information retrieved using the platform-specific GetMonitorInfo routine. The rectangle can be empty (where all members have the value 0) if monitor information was not successfully retrieved from the widgetset.

## See also

GetMonitorInfo |  | Returns information about an display monitor.
TMonitorInfo |  |
TRect